Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 1413623002: Convert 'CookieOptions::first_party_url' to a 'url::Origin'. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 11 months ago by Mike West
Modified:
1 year, 11 months ago
Reviewers:
mmenke
CC:
cbentzel+watch_chromium.org, chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert 'CookieOptions::first_party_url' to a 'url::Origin'. We don't need a full URL for any check we're doing inside //net, so let's throw away the bits we don't need, and make the origin check explicit (rather than matching the URLs that result from 'GURL::GetOrigin()'). BUG=459154 Committed: https://crrev.com/8241a123220e71b3733df642e2e56e1962be99a9 Cr-Commit-Position: refs/heads/master@{#354999}

Patch Set 1 #

Total comments: 7

Patch Set 2 : mmenke. #

Patch Set 3 : Rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+27 lines, -18 lines) Patch
M net/cookies/canonical_cookie.cc View 1 1 chunk +5 lines, -4 lines 0 comments Download
M net/cookies/canonical_cookie_unittest.cc View 3 chunks +9 lines, -9 lines 0 comments Download
M net/cookies/cookie_monster.cc View 1 2 2 chunks +2 lines, -1 line 0 comments Download
M net/cookies/cookie_options.h View 1 2 3 chunks +4 lines, -3 lines 0 comments Download
M net/url_request/url_request.h View 1 chunk +5 lines, -0 lines 0 comments Download
M net/url_request/url_request_http_job.cc View 1 2 2 chunks +2 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 24 (11 generated)
Mike West
Matt, mind taking a look at this, since you're looking at cookie things anyway? Should ...
1 year, 11 months ago (2015-10-16 13:34:20 UTC) #2
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1413623002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1413623002/1
1 year, 11 months ago (2015-10-16 13:34:32 UTC) #4
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
1 year, 11 months ago (2015-10-16 14:45:59 UTC) #6
mmenke
https://codereview.chromium.org/1413623002/diff/1/net/cookies/canonical_cookie.cc File net/cookies/canonical_cookie.cc (right): https://codereview.chromium.org/1413623002/diff/1/net/cookies/canonical_cookie.cc#newcode398 net/cookies/canonical_cookie.cc:398: if (IsFirstPartyOnly() && !options.include_first_party_only() && Wait....We're more restrictive when ...
1 year, 11 months ago (2015-10-16 17:29:26 UTC) #7
Mike West
Thanks for taking a look! Would you be alright stamping it on the assumption that ...
1 year, 11 months ago (2015-10-16 18:57:08 UTC) #8
mmenke
Think change LGTM (With the two changes you said you'd make), but the existing code ...
1 year, 11 months ago (2015-10-16 19:02:09 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1413623002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1413623002/20001
1 year, 11 months ago (2015-10-19 07:17:21 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: ios_dbg_simulator_ninja on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_dbg_simulator_ninja/builds/82848) mac_chromium_compile_dbg_ng on tryserver.chromium.mac (JOB_FAILED, ...
1 year, 11 months ago (2015-10-19 07:18:50 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1413623002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1413623002/40001
1 year, 11 months ago (2015-10-19 07:21:30 UTC) #17
commit-bot: I haz the power
Failed to apply patch for net/cookies/cookie_options.h: While running git apply --index -3 -p1; error: patch ...
1 year, 11 months ago (2015-10-19 08:50:22 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1413623002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1413623002/40001
1 year, 11 months ago (2015-10-20 07:09:55 UTC) #22
commit-bot: I haz the power
Committed patchset #3 (id:40001)
1 year, 11 months ago (2015-10-20 07:15:18 UTC) #23
commit-bot: I haz the power
1 year, 11 months ago (2015-10-20 07:16:26 UTC) #24
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/8241a123220e71b3733df642e2e56e1962be99a9
Cr-Commit-Position: refs/heads/master@{#354999}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b